<%--
 =================================================================
  Licensed Materials - Property of IBM

  WebSphere Commerce

  (C) Copyright IBM Corp. 2011 All Rights Reserved.

  US Government Users Restricted Rights - Use, duplication or
  disclosure restricted by GSA ADP Schedule Contract with
  IBM Corp.
 =================================================================
--%>

<!-- BEGIN CachedHeaderDisplay.jsp -->

<%@ include file="../../../include/JSTLEnvironmentSetup.jspf" %>

<wcf:url var="TopCategoriesURL" patternName="TabletHomeURL" value="tTopCategoriesDisplayView">
	<wcf:param name="storeId" value="${storeId}"/>
	<wcf:param name="catalogId" value="${catalogId}"/>
	<wcf:param name="langId" value="${langId}"/>
</wcf:url>


<c:url var="CachedSuggestionsURL" value="tCachedSuggestionsView">
  <c:param name="langId" value="${param.langId}" />
  <c:param name="storeId" value="${param.storeId}" />
  <c:param name="catalogId" value="${param.catalogId}" />
</c:url>

<flow:ifEnabled feature="FacebookIntegration">
	<script type="text/javascript" src="<c:out value="${jsAssetsDir}tablet/../javascript/FBintegrationCommon.js"/>?locale=<c:out value="${locale}"/>&appId=<c:out value="${facebookAppId}"/>"></script>
	<script type="text/javascript" src="<c:out value="${jsAssetsDir}tablet/javascript/FBTabletAdapter.js"/>?locale=<c:out value="${locale}"/>&appId=<c:out value="${facebookAppId}"/>"></script>		
</flow:ifEnabled>

	
	<div class="pageHeader"data-dojo-type="wc.mobile.PlainHeading" fixed="top">
		<a class="button productsButton" onclick="dijit.byId('ProductsPopup').show(this, ['below-centered'])"><fmt:message key="Header_Products" bundle="${storeText}"/></a>
		<a class="button searchButton" onclick="dijit.byId('SearchPopup').show(this, ['below-centered']); retrieveCachedSuggestions('${contextAndServletPath}${CachedSuggestionsURL}');"><fmt:message key="Header_Search" bundle="${storeText}"/></a>

		<%out.flush();%>
		<c:import url="${jspStoreDir}tablet/include/MiniShopCartDisplay.jsp"/>
		<%out.flush();%>
		
			
		<a class="button storesButton" onclick="dijit.byId('StoresPopup').show(this, ['below-centered'])"><fmt:message key="Header_Stores" bundle="${storeText}"/></a>
		<a href="javascript:Common.goToURL('${TopCategoriesURL}');" class="logo"><img src="${jspStoreImgDir}tablet/images/masthead_madisons_logo.png"/></a>
	</div>



<!-- END CachedHeaderDisplay.jsp -->
